package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.FmsSolar;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * 节气时令Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-06-01
 */
public interface FmsSolarMapper 
{
    /**
     * 查询节气时令
     * 
     * @param solarId 节气时令主键
     * @return 节气时令
     */
    public FmsSolar selectFmsSolarBySolarId(String solarId);
    public FmsSolar selectFmsSolarBySolarName(String solarName);

    /**
     * 查询节气时令列表
     * 
     * @param fmsSolar 节气时令
     * @return 节气时令集合
     */
    public List<FmsSolar> selectFmsSolarList(FmsSolar fmsSolar);

    /**
     * 新增节气时令
     * 
     * @param fmsSolar 节气时令
     * @return 结果
     */
    public int insertFmsSolar(FmsSolar fmsSolar);

    /**
     * 修改节气时令
     *
     * @param fmsSolar 节气时令
     * @return 结果
     */
    public int updateFmsSolar(FmsSolar fmsSolar);
    /**
     * 批量修改节气时令
     *
     * @param fmsSolarList 节气时令
     * @return 结果
     */
    public int updateFmsSolarByBatch(@Param("fmsSolarList") List<FmsSolar> fmsSolarList);

    /**
     * 删除节气时令
     * 
     * @param solarId 节气时令主键
     * @return 结果
     */
    public int deleteFmsSolarBySolarId(String solarId);

    /**
     * 批量删除节气时令
     * 
     * @param solarIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFmsSolarBySolarIds(String[] solarIds);

    /**
     * 查询指定日期所属节气,若不指定日期，则获取此年最后一个节气
     * @param date 日期(yyyy-MM-dd)
     * @return 节气
     * */
    public FmsSolar getFmsSolarByDate(String date);

    public Map<String, Object> getSysZoneByZoneCode(String zoneCode);
}
